package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.service.GroupService;
import com.engine.organization.service.impl.GroupServiceImpl;
import com.engine.organization.util.OrganizationWrapper;
import weaver.hrm.User;

import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public class GroupWrapper extends OrganizationWrapper {
    private GroupService getGroupService(User user) {
        return ServiceUtil.getService(GroupServiceImpl.class, user);
    }


    /**
     * 获取新增表单
     *
     * @param params
     * @return
     */
    public Map<String, Object> getGroupFormField(Map<String, Object> params) {
        return getGroupService(user).getGroupFormField(params);
    }

    /**
     * 更新
     *
     * @param params
     * @return
     */
    public boolean updateGroup(Map<String, Object> params) {
        boolean updateGroup = getGroupService(user).updateGroup(params);
        return updateGroup;
    }

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    public Map<String, Object> getHasRight() {
        return getGroupService(user).getHasRight();
    }

    /**
     * 获取列表tabs
     *
     * @return
     */
    public Map<String, Object> getTabInfo() {
        return getGroupService(user).getTabInfo();
    }
}
